ITPub博客

首页 > 数据库 > Oracle > Centos6.5上安装oracle 10.2.0.1小记

Centos6.5上安装oracle 10.2.0.1小记

原创 Oracle 作者:wxjzqym 时间:2015-07-26 13:55:21 1 删除 编辑
    今天在Centos6.5上安装oracle 10.2.0.1上遇到了不少问题,现记录如下。
大部分的问题都是因为缺包而引起的,以下的包全部安装后可以解决该问题:
ksh
libXtst-devel.x86_64
libXtst-devel.i686
libstdc++-devel.i686
kernel-headers
glibc-devel.i686
glibc-devel.x86_64
gnome-icon-theme
dmz-cursor-themes
sgml-common
libaio.i686
libaio.x86_64
libaio-devel.x86_64
libaio-devel.i686
ncurses-devel.x86_64
ncurses-devel.i686
elfutils-libelf-devel.x86_64
elfutils-libelf-devel.i686
compat-gcc-34
compat-gcc-34-c++
libXxf86misc.i686
libXxf86vm.i686
libXt.i686
libXt.x86_64
libXmu.x86_64
libXmu.i686
mpfr
cpp
xorg-x11-xauth
compat-gcc-34-c++
libdaemon
avahi
avahi-glib
shared-mime-info
libIDL-devel.i686
libIDL-devel.x86_64
ORBit2-devel.i686
ORBit2-devel.x86_64
GConf2-devel.i686
GConf2-devel.x86_64
gnome-vfs2-devel.i686
gnome-vfs2-devel.x86_64
libbonobo-devel.i686
libbonobo-devel.x86_64
libtool-ltdl.i686
libtool-ltdl.x86_64
unixODBC-devel.i686
unixODBC-devel.x86_64
gtk2-engines.i686
gtk2-engines.x86_64
libmcpp
mcpp
xorg-x11-server-utils
libXv-devel.i686
libXv-devel.x86_64
ConsoleKit-x11
xorg-x11-xinit
libXp-devel.i686
libXp-devel.x86_64
libXxf86dga
libdmx
xorg-x11-utils
compat-db43.i686
compat-db43.x86_64
ppl.i686
ppl.x86_64
cloog-ppl.i686
cloog-ppl.x86_64
gcc
gcc-c++
compat-libstdc++-33.i686
compat-libstdc++-33.x86_64
compat-db.i686
compat-db.x86_64
gnome-themes
system-icon-theme
system-gnome-theme
readline-devel.i686
readline-devel.x86_64
libgnome-devel.i686
libgnome-devel.x86_64
binutils-devel.i686
binutils-devel.x86_64
elfutils-devel.i686
elfutils-devel.x86_64
numactl-devel.i686
numactl-devel.x86_64
elfutils.i686
elfutils.x86_64
sysstat
make
zip
imake
unzip
lvm2
lvm2-libs
rdate
xinetd
mutt
eject
links
man
libcurl.i686
libdrm.i686
libidn.i686
libssh2.i686
mesa-dri-drivers.i686
mesa-libGL.i686
mesa-libGLU.i686
nspluginwrapper.i686
compat-libcap1
libstdc++-devel
cifs-utils

以上包安装完成后,在安装oracle在进度83%的时候会遇到如下错误:
Error in invoking target 'collector' of makefile '$ORACLE_HOME/sysman/lib/ins_emdb.mk'.
以上错误是oracle官方的一个bug,直接忽略,安装完基础版本后打上10.2.0.4或以上的patchset即可。

来自 “ ITPUB博客 ” ,链接:http://blog.itpub.net/20801486/viewspace-1752150/,如需转载,请注明出处,否则将追究法律责任。

请登录后发表评论 登录
全部评论

注册时间:2011-05-15

  • 博文量
    100
  • 访问量
    470060